fsg_lextree_s Struct Reference

Collection of lextrees for an FSG. More...

`#include <fsg_lextree.h>`

## Data Fields

fsg_model_t * | fsg
| The fsg for which this lextree is built.
hmm_context_t * | ctx
| HMM context structure.
dict_t * | dict
| Pronunciation dictionary for this FSG.
dict2pid_t * | d2p
| Context-dependent phone mappings for this FSG.
bin_mdef_t * | mdef
| Model definition (triphone mappings).
int16 ** | lc
| Left context triphone mappings for FSG.
int16 ** | rc
| Right context triphone mappings for FSG.
fsg_pnode_t ** | root
fsg_pnode_t ** | alloc_head
int32 | n_pnode
int32 | wip
int32 | pip

## Detailed Description

Collection of lextrees for an FSG.

Definition at line 180 of file fsg_lextree.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_lextree.h